org.yaml.snakeyaml.constructor

## Class Constructor.ConstructScalar

- java.lang.Object
- - org.yaml.snakeyaml.constructor.AbstractConstruct
  - - org.yaml.snakeyaml.constructor.Constructor.ConstructScalar

All Implemented Interfaces:
  Construct

Enclosing class:
  Constructor

    protected class Constructor.ConstructScalar
    extends AbstractConstruct

Construct scalar instance when the runtime class is known. Recursive structures are not supported.

### Constructor Summary

Constructors
`protected` `Constructor.ConstructScalar()`

### Method Summary

Methods
`Object` `construct(Node nnode)` Construct a Java instance with all the properties injected when it is possible.

### Methods inherited from class org.yaml.snakeyaml.constructor.AbstractConstruct

`construct2ndStep`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Constructor.ConstructScalar

    protected Constructor.ConstructScalar()

### Method Detail

#### construct

    public Object construct(Node nnode)

Description copied from interface: `Construct`
Construct a Java instance with all the properties injected when it is possible.

Parameters:
  `nnode` - composed Node
Returns:
  a complete Java instance